/** PSP helper library ***************************************/
/**                                                         **/
/**                          font.h                         **/
/**                                                         **/
/** This file contains declarations for font manipulation   **/
/** routines                                                **/
/**                                                         **/
/** Copyright (C) Akop Karapetyan 2007                      **/
/**     You are not allowed to distribute this software     **/
/**     commercially. Please, notify me, if you make any    **/
/**     changes to this file.                               **/
/*************************************************************/
#ifndef _PSP_FONT_H
#define _PSP_FONT_H

#include "ctrl.h"

#ifdef __cplusplus
extern "C" {
#endif

struct PspFont
{
  int Height;
  int Ascent;
  struct
  {
    int Width;
    unsigned short Line[13];
  } Chars[256];
};

typedef struct PspFont PspFont;

extern const PspFont PspStockFont;

int pspFontGetLineHeight(const PspFont *font);
int pspFontGetTextWidth(const PspFont *font, const char *string);
int pspFontGetTextHeight(const PspFont *font, const char *string);


#ifdef __cplusplus
}
#endif

#endif  // _PSP_FONT_H
